Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.php
Class ServletConfigImpl

    java.lang.Object
      org.apache.portals.bridges.php.ServletConfigImpl

All Implemented Interfaces:
  javax.servlet.ServletConfig

class ServletConfigImpl
extends Object
implements javax.servlet.ServletConfig

ServletConfigImpl Wrapper around PortletConfig

Version:
  $Id: ServletConfigImpl.java 545680 2007-06-09 01:48:26Z ate $
Author:
  Roger Ruttimann

Field Summary
`private javax.portlet.PortletConfig` | `config`
`private javax.servlet.ServletContext` | `context`

Constructor Summary
`ServletConfigImpl(javax.portlet.PortletConfig config)`
`ServletConfigImpl(javax.portlet.PortletConfig config, javax.servlet.ServletContext context)`

Method Summary
`String` | `getInitParameter(String arg0)`
`Enumeration` | `getInitParameterNames()`
`javax.servlet.ServletContext` | `getServletContext()`
`String` | `getServletName()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### config

    private javax.portlet.PortletConfig config

### context

    private javax.servlet.ServletContext context

Constructor Detail

### ServletConfigImpl

    public ServletConfigImpl(javax.portlet.PortletConfig config)

### ServletConfigImpl

    public ServletConfigImpl(javax.portlet.PortletConfig config,
                             javax.servlet.ServletContext context)

Method Detail

### getInitParameter

    public String getInitParameter(String arg0)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`

### getServletName

    public String getServletName()

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`

### toString

    public String toString()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.